package com.example.fitmarcetplacekuzminiv.Screens

import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.layout.*
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.material3.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import androidx.compose.ui.tooling.preview.Preview
import kotlin.random.Random

@Composable
fun MainScreen() {
    Box(
        modifier = Modifier.fillMaxSize(),
        contentAlignment = Alignment.Center
    ) {
        Column(
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.Center,
            modifier = Modifier
                .fillMaxWidth()
                .padding(16.dp)
        ) {


            Spacer(modifier = Modifier.height(24.dp))
            Button(onClick = {
                // Обработка нажатия кнопки "Login"
            }) {
                Text("Good")
            }
        }
    }
}

@Preview(showBackground = true)
@Composable
fun PreviewMainScreen() {
    MainScreen()
}

//@Composable
//fun MainScreen(mainViewModel: MainViewModel = viewModel()) {
//    // Fetch products when the screen is first displayed
//    LaunchedEffect(Unit) {
//        mainViewModel.fetchProducts()
//    }
//
//    // Observe products from the ViewModel
//    val products by mainViewModel.products.collectAsState()
//
//    // Display loading indicator while data is being fetched
//    if (products.isEmpty()) {
//        Box(modifier = Modifier.fillMaxSize(), contentAlignment = Alignment.Center) {
//            CircularProgressIndicator()
//        }
//    } else {
//        LazyColumn {
//            items(products) { product ->
//                ProductItem(product)
//            }
//        }
//    }
//}
//
//@Composable
//fun ProductItem(product: Product) {
//    Row(
//        modifier = Modifier
//            .fillMaxWidth()
//            .padding(8.dp),
//        verticalAlignment = Alignment.CenterVertically
//    ) {
//        Column(modifier = Modifier.weight(1f)) {
//            Text(text = product.name, style = MaterialTheme.typography.titleMedium)
//            Text(text = "${product.price} USD", style = MaterialTheme.typography.bodyMedium)
//        }
//    }
//}
//
//@Preview(showBackground = true)
//@Composable
//fun PreviewMainScreen() {
//    // Simulate a list of products for preview
////    val products = listOf(
////        Product(id = 1, name = "Product 1", 19.99),
////        Product(id = 2, name = "Product 2", 29.99),
////    )
////    MainScreenContent(products)
//}
//
//@Composable
//fun MainScreenContent(products: List<Product>) {
//    LazyColumn {
//        items(products) { product ->
//            ProductItem(product)
//        }
//    }
//}
